Bug 75299 - sys_call_table not exported; no alternate mechanism provided for registering sys calls from modules with reserved table entries
sys_call_table not exported; no alternate mechanism provided for registering ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 64014 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-06 20:47 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-06 20:47:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
OpenAFS uses the reserved AFS sys call. De-exporting sys_call_table precludes
registration. Additionally, get/setgroups are replaced to allow insertion and
maintence of extra groups.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RedHat 8.0 
2.Build OpenAFS
3.Observe that kernel module gets undefined symbol.
	

Actual Results:  Nothing exciting.

Expected Results:  I should have been able to read my files.

Additional info:

You should if you wish to modify (arguably break, but given the state of 2.5 I
can see the other side) provide a mechanism to register handlers for reserved
syscalls. OpenAFS should provide a different mechanism of managing pags which
does not require auxiliary groups and thus maintaining them in the face of e.g.
initgroups(), but I don't believe task ornaments have been implemented yet, so
if you have suggestions for that, I'd be glad to hear them.
Comment 1 Need Real Name 2002-10-06 21:07:06 EDT
>I don't believe task ornaments have been implemented yet

should say "in your kernels"; You get the idea.
Comment 2 Arjan van de Ven 2002-10-07 03:56:08 EDT
the OpenAFS people know for over a year that this was going away, on lkml they
even agreed to provide the patch for the registration code.... no patch seen so far.
Comment 3 Need Real Name 2002-10-07 09:55:21 EDT
I'm an OpenAFS people. This is news to me. Likewise to our RedHat port
maintainer, the other 2 gatekeepers, and pretty much everyone else. Can you
provide a reference? I'm wondering who that probably isn't qualified to do so
promised to provide something on our behalf.
Comment 4 Need Real Name 2002-10-07 10:12:34 EDT
The only thing relevant I find is this:
http://www.cs.helsinki.fi/linux/linux-kernel/2002-14/0050.html


I don't see who it was a reply to, but Alan certainly isn't an OpenAFS person. I
see you replied to him. I would have assumed based on what I see (now) of that
exchange that he or you were going to handle it on the basis of what's there.
Comment 5 Need Real Name 2002-10-07 11:43:29 EDT
And incidentally, we did know it was coming... in 2.5. We didn't expect to see
it yet, and apparently Alan didn't expect us to either:
http://www.cs.helsinki.fi/linux/linux-kernel/2002-14/0068.html
Comment 6 Need Real Name 2002-10-10 18:39:52 EDT
Ok, since you haven't commented on the above assertions that you were mistaken,
you indicated that you expected OpenAFS to provide a registration function. Does
that translate to willingness to accept and use it if it exists? 

Further, are you willing to provide task ornament support? If so, this problem
can be made to go away otherwise, despite the above indications that it should
not have yet existed in the first place.
Comment 7 Arjan van de Ven 2002-10-11 04:19:40 EDT
I will accept a proper registration function. Check what the LiS folks are
doing, they're just about there wrt registration interface.
Comment 8 Need Real Name 2002-10-12 15:50:01 EDT
Ok, that leaves us with the PAG problem. Linux Security Modules was integrated
in 2.5 recently, so since the problem was created by pulling up this change from
2.5, perhaps you'd be willing to pull up Linux Security Modules as well? 

Currently PAGs work by adding extra groups to the group list, which requires
replacing setgroups to not wipe them. The correct way of doing this in the
post-LSM universe appears to be with a Linux Security module providing task_
elements to maintain appropriate mappings.

I have a sys call registration function for the AFS syscall which I'm going to
send to linux-kernel as a followup to the (now many months old) discussion;
After I know that we have something "final" I will submit the result to you.
Comment 9 Need Real Name 2002-11-15 11:28:05 EST
This isn't related to OpenAFS, but not exporting sys_call_table also breaks the 
ATI Linux drivers for the Radeon 8500 card.
Comment 10 Josi Romildo Malaquias 2003-01-09 08:39:30 EST
This isn't also related to OpenAFS, but not exporting sys_call_table also breaks
the AVFS virtual filesystem (http://sourceforge.net/projects/avf) redir.o kernel
module.
Comment 11 Alan Cox 2003-06-05 08:06:32 EDT
*** Bug 64014 has been marked as a duplicate of this bug. ***
Comment 12 Bugzilla owner 2004-09-30 11:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.